## python-xbox-webapi 2.1.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -fr {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -f .coverage
	rm -fr htmlcov/

lint: ## check style with ruff
	ruff check --fix xbox
	ruff check --fix tests

test: ## run tests quickly with the default Python
	py.test

coverage: ## check code coverage quickly with the default Python
	coverage run --source xbox -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/xbox.rst
	rm -f docs/modules.rst
	sphinx-apidoc --implicit-namespaces -a -e -o docs/source xbox
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: clean ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python -m build
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	pre-commit install
	pip install -e .

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = XboxWebAPI
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-xbox-webapi (2.1.0-2) unstable; urgency=medium

  * Acknowledge NMU.
  * Set Maintainer to Home Assistant Team.
  * Add debian/salsa-ci.yml.
  * Replace deprecated event_loop fixture. (Closes: #1115802)
  * Fix PYBUILD_NAME=xbox.webapi.
  * Enable autopkgtest-pkg-pybuild.
  * Move several dependencies to B-D-I with nocheck.

 -- Tianyu Chen <billchenchina2001@gmail.com>  Sat, 20 Sep 2025 05:43:48 +0800

python-xbox-webapi (2.1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace appdirs with platformdirs (Closes: #1088161)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 23:50:51 +0100

python-xbox-webapi (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2024 08:09:18 -0500

python-xbox-webapi (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076981)

 -- Tianyu Chen <billchenchina2001@gmail.com>  Thu, 25 Jul 2024 16:32:16 +0900

=== debian/control ===
Source: python-xbox-webapi
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Tianyu Chen <billchenchina2001@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage <!nocheck>,
 python3-ecdsa <!nocheck>,
 python3-httpx <!nocheck>,
 python3-ms-cv <!nocheck>,
 python3-platformdirs <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-respx <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/OpenXbox/xbox-webapi-python/
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-xbox-webapi
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-xbox-webapi.git

Package: python3-xbox-webapi
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library to authenticate with Windows Live/Xbox Live
 A Python library to authenticate with Xbox Live via your Microsoft Account
 and provides Xbox related Web-API.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=xbox.webapi


# E         - oGCCqGSM49AwEHoUQDQgAE
# E         - OKyCQ9qH5U4lZcS0c5/LxIyKvOpKe0l3x4Eg5OgDbzezKNLRgT28fd4Fq3rU/1OQKmx6jSq0vTB5
# E         - Ao/48m0iG
# E         + oGCCqGSM49
# E         + AwEHoUQDQgAEOKyCQ9qH5U4lZcS0c5/LxIyKvOpKe0l3x4Eg5OgDbzezKNLRgT28
# E         + fd4Fq3rU/1OQKmx6jSq0vTB5Ao/48m0iG
export PYBUILD_TEST_ARGS= -v -k 'not test_import'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/OpenXbox/xbox-webapi-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
